vamp
% combined chords for keys of A,C,D,G
L: 1/8  % to give 2 quarter notes (beats) per measure
K: C
 a   | [A,,,A,,] [A,^CE]   [E,,,E,,]  [A,^CE] | 
 c   | [C,,C,]   [G,CE]    [G,,,G,,]  [G,CE]  | 
 d   | [D,,D,]   [A,D^F]   [A,,,A,,]  [A,D^F] | 
 e   | [E,,E,]   [BE^G]    [B,,,B,,]  [BE^G]  | 
 f   | [F,,F,]   [FAC]     [C,,C,]    [FAC]   | 
 g   | [G,,G,]   [B,DG]    [D,,D,]    [B,DG]  |  
% end of phrase
 a*   | [A,,,A,,] [A,^CE]   [A,^CEA] [z] | 
 c*   | [C,,C,]   [G,CE]    [cCEG]  [z] | 
 d*   | [D,,D,]   [A,D^F]   [dD^FA] [z] | 
 e*   | [E,,E,]   [BE^G]    [eE^GB] [z] | 
 f*   | [F,,F,]   [FAC]     [FACf]  [z] | 
 g*   | [G,,G,]   [B,DG]    [gDGB]  [z] |  
% sparse chords
 as  | [A,,]  [^CE]    [E,,]   [A,^C] | 
 cs  | [C,]   [G,E]    [G,,]   [CE]   | 
 ds  | [D,]   [A,^F]   [A,,]   [D^F]  | 
 es  | [E,]   [B^G]    [B,,]   [E^G]  | 
 fs  | [F,]   [AC]     [C,]    [FA]   | 
 gs  | [G,]   [B,D]    [D,]    [B,G]  |  
% half measure chords
 A   | [A,,,A,,] [A,^CE]  |
 C   | [C,,C,]   [G,CE]   |
 D   | [D,,D,]   [A,D^F]  |
 E   | [E,,E,]   [BE^G]   |
 F   | [F,,F,]   [FAC]    |
 G   | [G,,G,]   [B,DG]   |
% minor chords
 am  | [A,,,A,,] [A,CE]    [E,,,E,,]  [A,CE]  | 
 bm  | [B,,,B,,] [B,D^F]   [^F,,^F,]  [B,D^F] | 
 cm  | [C,,C,]   [G,C_E]   [G,,,G,,]  [G,C_E] | 
 dm  | [D,,D,]   [A,DF]    [A,,,A,,]  [A,DF]  | 
 em  | [E,,E,]   [B,EG]    [B,,,B,,]  [B,EG]  | 
 fm  | [F,,F,]   [F_AC]    [C,,C,]    [F_AC]  | 
 gm  | [G,,G,]   [_B,DG]   [D,,D,]    [_B,DG] |  
% end of phrase
 am* | [A,,,A,,] [A,CE]    [A,CEA]   [z] | 
 bm* | [B,,,B,,] [B,D^F]   [B,D^FB]  [z] | 
 cm* | [C,,C,]   [G,C_E]   [C,G,C_E] [z] | 
 dm* | [D,,D,]   [A,DF]    [D,A,DF]  [z] | 
 em* | [E,,E,]   [B,EG]    [E,B,EG]  [z] | 
 fm* | [F,,F,]   [F_AC]    [F,F_AC]  [z] | 
 gm* | [G,,G,]   [_B,DG]   [G,_B,DG] [z] |  
% sparse chords
 ams | [A,,]  [CE]     [E,,]  [A,C]  | 
 bms | [B,,]  [D^F]    [^F,]  [B,D] | 
 cms | [C,]   [G,_E]   [G,,]  [C_E] | 
 dms | [D,]   [A,F]    [A,,]  [DF]  | 
 ems | [E,]   [B,G]    [B,,]  [EG]  | 
 fms | [F,]   [_AC]    [C,]   [F_A]  | 
 gms | [G,]   [_B,D]   [D,]   [_B,G] |  
% half measure chords
 Am  | [A,,A,]   [A,CE]   |
 Bm  | [B,,B,]   [B,D^F]  |
 Cm  | [C,,C,]   [G,C_E]  |
 Dm  | [D,,D,]   [A,DF]   |
 Em  | [E,,E,]   [B,EG]   |
 Fm  | [F,,F,]   [F_AC]   |
 Gm  | [G,,G,]   [_B,DG]  |
%
 zphr | [z4]  [z4]  [z4]  [z4] |  % silent 8 beat phrase
 zz   | [z] [z] [z] [z] |  %  single silent measure for separation
/vamp

chords silent
 zphr  zphr  zphr  zphr  zphr  zphr  zphr  zphr
/chords
